On this page
No Headings
Deprecation notice: TheCancels a sent invoice, by ID, and, optionally, sends a notification about the cancellation to the payer, merchant, and CC: emails./v1/invoicesendpoint is deprecated. Use the/v2/invoicesendpoint instead. For details, see PayPal Invoicing Basic Integration.
Oauth 2.0 authentication
Client CredentialsToken URLhttps://api-m.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/invoicingThe ID of the invoice for which to generate a QR code.
application/json
TypeScript Definitions
Use the request body type in TypeScript.
application/json
curl -X POST "https://api-m.paypal.com/v1/invoicing/v1/invoicing/invoices/string/cancel" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "string",
"debug_id": "string",
"message": "string",
"information_link": "string",
"details": [
{
"field": "string",
"issue": "string"
}
]
}The subject of the notification. If left blank we include a generic subject.
A note to the payer.
Indicates whether to send the notification to the merchant.
trueIndicates whether to send the notification to the payer.
trueAn array of one or more CC: emails to which to send notification emails. If you omit this parameter, the API sends notification emails to all CC: email addresses that are part of the invoice.Note: Additional email addresses are not supported.
items <= 100